//
//  ViewController.swift
//  switch_where
//
//  Created by yoshiyuki oshige on 2016/07/26.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 条件付きの振り分け
        let size = (45, 40, 100)
        switch size {
        case let (width, height, _) where (width>=60)||(height>=60):
            print("規定外：幅高さのどちらかが60以上")
        case let (_, _, weight) where (weight>=80):
            print("規定外：重さ80以上")
        default:
            print("規定サイズ内")
        }
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

