//
//  ViewController.swift
//  half_guard
//
//  Created by yoshiyuki oshige on 2016/07/31.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    func half(num:Double) {
        // 中断処理
        guard num>=10 else {
            // numが10以上でないとき関数から抜ける
            return
        }
        // 値を半分にして出力する
        let halfNum = num/2
        print("\(num)の半分は\(halfNum)")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 半分の値を出力する
        half(num: 25)
        half(num: 9)
        half(num: 12)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

