//
//  ViewController.swift
//  argument_hello
//
//  Created by yoshiyuki oshige on 2016/08/01.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // hello()を定義する
    func hello(user:String) -> String {
        return ("\(user)さん、ハロー")
    }
    
    // bye()を定義する
    func bye(user:String) -> String {
        return ("\(user)さん、バイ！")
    }
    
    // 関数を引数で受け取って実行する
    func message(user:String, msgFunc:(String) -> String) -> String {
        let msg = msgFunc(user)
        return msg
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // message()の引数に関数のhello()とbye()を渡す
        let msg1 = message(user: "田中", msgFunc: hello)
        let msg2 = message(user: "鈴木", msgFunc: bye)
        print(msg1)
        print(msg2)
        
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

