//
//  ViewController.swift
//  dictionary_updateValue
//
//  Created by yoshiyuki oshige on 2016/08/09.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // members辞書の宣言
    var members = [String:Int]()
    
    // 辞書membersの値を追加、変更する
    func updateMembers(theKey:String, newValue:Int) {
        if let oldValue = members.updateValue(newValue, forKey: theKey){
            // キーがあったときは値を更新
            print("\(theKey)の値を\(oldValue)から\(newValue) に更新しました。")
        } else {
            // キーがなかったときは要素を追加
            print("\(theKey):\(newValue) を追加しました。")
        }
        print(members)
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 最初の値を代入
        members = ["東京":15,"大阪":12,"札幌":9]
        // 大阪の値を修正する
        updateMembers(theKey: "大阪", newValue: 17)
        // キーが存在しない沖縄を追加した場合
        updateMembers(theKey: "沖縄", newValue: 14)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

