//
//  ViewController.swift
//  switch_default_omit
//
//  Created by yoshiyuki oshige on 2016/07/26.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        //defaultを省略した switch文
        let aPoint = (50, 100)
        switch aPoint {
        case (0, 0):
            print("中心点です")
        case (0, _):
            print("x軸上の点です")
        case (_, 0):
            print("y軸上の点です")
        case let(x, y):
            print(" 点(\(x),\(y)) です")
        }
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

