//
//  ViewController.swift
//  bmi
//
//  Created by yoshiyuki oshige on 2016/07/30.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // bmiを計算する
    func bmi(weight kg:Double, height cm:Double) -> Double {
        
        if (kg<=0)&&(cm<=0) {
            // kgまたはcmが0以下の場合は-1を返す
            return -1
        }
        //体重(kg)を身長(m)の2乗で割る
        var result = kg/pow(cm*0.01, 2)
        //小数点以下1位で四捨五入する
        result = round(result*10)/10.0
        return result
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // bmi()を試す
        let myBMI = bmi(weight: 56.0, height: 172.5)
        print(myBMI)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

