//
//  ViewController.swift
//  nested_func
//
//  Created by yoshiyuki oshige on 2016/08/02.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // 年齢で利用する関数を選ぶ
    func priceFunc(age:Int) -> (Int) -> Int {
        
        //子供の計算
        func kids(kazu:Int) -> Int {
            return 400*kazu
        }
        
        //大人の計算
        func adult(kazu:Int) -> Int {
            return 600*kazu
        }
        
        // 戻す関数を年齢で振り分ける
        if age<16 {
            return kids
        } else {
            return adult
        }
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 年齢で使用する関数を取り出す
        let age10 = priceFunc(age: 10)
        let age18 = priceFunc(age: 18)
        
        // それぞれの関数で人数を指定する
        let kingaku1 = age10(1)
        let kingaku2 = age18(2)
        
        print(kingaku1)
        print(kingaku2)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

