//
//  ViewController.swift
//  range_substringFrom
//
//  Created by yoshiyuki oshige on 2016/08/05.
//  Copyright © 2016年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let str = "東京都千代田区神南1-2-3"
        // strの"東京都"の範囲を調べる
        let result = str.range(of: "東京都")
        if let theRange = result {
            // resultに範囲が入っていたとき、範囲より後のストリングを取り出す
            let afterStr = str.substring(from: theRange.upperBound)
            print(afterStr)
        } else {
            print(str)
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

